Bug 458761 - kernel: dlm: dlm/user.c input validation fixes [rhel-4.7.z]
Summary: kernel: dlm: dlm/user.c input validation fixes [rhel-4.7.z]
Keywords:
Status: CLOSED DUPLICATE of bug 460369
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: dlm-kernel
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Teigland
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 458758
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-12 04:30 UTC by Eugene Teo (Security Response)
Modified: 2009-04-16 20:31 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-27 19:57:14 UTC


Attachments (Terms of Use)
patch to try (532 bytes, text/plain)
2008-08-13 19:26 UTC, David Teigland
no flags Details

Description Eugene Teo (Security Response) 2008-08-12 04:30:07 UTC
+++ This bug was initially created as a clone of Bug #458758 +++

Description of problem:
a) in device_write(): add sentinel NUL byte, making sure that lspace.name will be NUL-terminated
b) in compat_input() be keep it simple about the amounts of data we are copying.

--- Additional comment from eteo@redhat.com on 2008-08-12 00:19:34 EDT ---

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=cb79f1998d89821a4dbac47f59a46ee3fbbf3c61

--- Additional comment from eteo@redhat.com on 2008-08-12 00:20:32 EDT ---

Created an attachment (id=314043)
Upstream patch for this issue

Comment 2 Kiersten (Kerri) Anderson 2008-08-12 14:40:59 UTC
DLM is not part of the core kernel in rhel 4 and is provided as part of the cluster products so changing product name .z flags.

Comment 3 Eugene Teo (Security Response) 2008-08-12 15:11:51 UTC
The code in rhel-4's version of dlm is quite different from rhel-5. I am not
sure if the changes in device_write (dlm_write in this version) needs the
change. Please verify. Thanks.

Comment 4 David Teigland 2008-08-13 19:26:31 UTC
Created attachment 314241 [details]
patch to try

Here's a patch, but I don't have a way to test it.

Comment 5 Christine Caulfield 2008-08-14 08:37:46 UTC
I've briefly tested that patch and it works for me. It also looks pretty benign.

Comment 6 David Teigland 2008-08-19 17:27:54 UTC
commit in RHEL4 branch a479ddb2fa97033ce44ce11ae28925c55b176a55
commit in RHEL47 branch d8417ee4673aa8c07f9d314704000e248081416b

Comment 7 Chris Feist 2008-08-27 19:57:14 UTC
Removing flags and marking as a duplicate of the official 4.7.z bug.

*** This bug has been marked as a duplicate of bug 460369 ***


Note You need to log in before you can comment on or make changes to this bug.